Chat Message Follow Ups

get

Retrieves multiple chat message follow-ups.

Query parameters
chatIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

chatMessageIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
statusesany ofOptionalDefault: []
or
string · enumOptional

The current status of the follow-up.

Possible values:
triggerChatMessageIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all chat message follow-ups for the specified filters.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
chatIdstring · uuidRequired

The id of the chat this follow-up belongs to.

chatMessageIdstring · uuid · nullableRequired

The id of the chat message this follow-up belongs to.

dueDatestring · date-timeRequired

The date and time when the follow-up message should be sent.

finishedAtstring · date-time · nullableRequired

The date and time when the follow-up went from pending to any other status.

messagestring · min: 1Required

The follow-up message content.

reasonstring · nullableRequired

The reason why the follow-up failed.

statusstring · enumRequired

The current status of the follow-up.

Possible values:
triggerChatMessageIdstring · uuidRequired

The id of the chat message that triggered the follow-up.

get
/api/v1/chat-message-follow-ups
post

Creates a chat message follow-up.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
chatIdstring · uuidRequired

The id of the chat this follow-up belongs to.

dueDatestring · date-timeRequired

The date and time when the follow-up message should be sent.

messagestring · min: 1Required

The follow-up message content.

Responses
post
/api/v1/chat-message-follow-ups
patch

Updates a chat message follow-up.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
chatIdstring · uuidOptional

The id of the chat this follow-up belongs to.

chatMessageIdstring · uuid · nullableOptional

The id of the chat message this follow-up belongs to.

dueDatestring · date-timeOptional

The date and time when the follow-up message should be sent.

finishedAtstring · date-time · nullableOptional

The date and time when the follow-up went from pending to any other status.

messagestring · min: 1Optional

The follow-up message content.

reasonstring · nullableOptional

The reason why the follow-up failed.

statusstring · enumOptionalPossible values:
triggerChatMessageIdstring · uuidOptional

The id of the chat message that triggered the follow-up.

Responses
200

The chat message follow-up was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
chatIdstring · uuidRequired

The id of the chat this follow-up belongs to.

chatMessageIdstring · uuid · nullableRequired

The id of the chat message this follow-up belongs to.

dueDatestring · date-timeRequired

The date and time when the follow-up message should be sent.

finishedAtstring · date-time · nullableRequired

The date and time when the follow-up went from pending to any other status.

messagestring · min: 1Required

The follow-up message content.

reasonstring · nullableRequired

The reason why the follow-up failed.

statusstring · enumRequired

The current status of the follow-up.

Possible values:
triggerChatMessageIdstring · uuidRequired

The id of the chat message that triggered the follow-up.

patch
/api/v1/chat-message-follow-ups/{id}

Last updated